Pay utility v2
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cashout/utility/pay/v2 \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 100,
"code": "4b760495-cb55-4043-95e8-0cff5776b013",
"description": "Consectetur esse sed irure incididunt est culpa nostrud.",
"external_id": "5b760495-cb55-4043-95e8-0cff5776b014",
"virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cashout/utility/pay/v2"
payload = {
"amount": 100,
"code": "4b760495-cb55-4043-95e8-0cff5776b013",
"description": "Consectetur esse sed irure incididunt est culpa nostrud.",
"external_id": "5b760495-cb55-4043-95e8-0cff5776b014",
"virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 100,
code: '4b760495-cb55-4043-95e8-0cff5776b013',
description: 'Consectetur esse sed irure incididunt est culpa nostrud.',
external_id: '5b760495-cb55-4043-95e8-0cff5776b014',
virtual_account_id: '1a760495-cb95-4023-96e8-0cff5776b010'
})
};
fetch('https://api.sandbox.trio.com.br/banking/cashout/utility/pay/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"payment_document_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Utility
Pay Utility (v2)
Generate a utility payment using the v2 endpoint
POST
/
banking
/
cashout
/
utility
/
pay
/
v2
Pay utility v2
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Utility V2 payload
Body params to generate a utility V2
Response
Created
Response schema for a single utility V2 generation
Show child attributes
Show child attributes
⌘I

